Bug 223264 - www/py-graphite-api: improved rc.d script
Summary: www/py-graphite-api: improved rc.d script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dave Cottlehuber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-26 12:12 UTC by Horst Kapfenberger
Modified: 2018-07-05 19:04 UTC (History)
2 users (show)

See Also:


Attachments
rc.d script (2.12 KB, text/plain)
2017-10-26 12:12 UTC, Horst Kapfenberger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Horst Kapfenberger 2017-10-26 12:12:05 UTC
Created attachment 187498 [details]
rc.d script

- Handling of parameters
- background
- create missing directories
Comment 1 Bugzilla Automation freebsd_committer 2017-10-26 12:12:05 UTC
Maintainer informed via mail
Comment 2 Dave Cottlehuber freebsd_committer 2017-12-21 23:30:18 UTC
Thanks Horst & apologies for the delay. I've put your changes up (with some
minor alterations to keep the ports system happy) at https://reviews.freebsd.org/D13581 hope you can follow/update as needed over there.
Comment 3 Dave Cottlehuber freebsd_committer 2018-05-23 13:16:10 UTC
changes moved to https://reviews.freebsd.org/D13581 we should be close to committing this finely aged port diff. Thanks again Horst for the submission!
Comment 4 commit-hook freebsd_committer 2018-07-05 18:23:27 UTC
A commit references this bug:

Author: dch
Date: Thu Jul  5 18:23:23 UTC 2018
New revision: 473979
URL: https://svnweb.freebsd.org/changeset/ports/473979

Log:
  www/py-graphite-api: clean up rc.d script

  - fix ordering in rc.d script so that daemon doesn't hang on startup
  - teach rc.d to behave when installing with multiple python & gunicorn versions
  - clean up substitutions in SUB_LIST, pkg-list and *.in script
  - ensure working directories are re-created on startup if required

  PR:		 223264
  Submitted by:	Horst Kapfenberger <horst.kapfenberger@agoracon.at>
  Approved by:	jrm
  MFH:		2018Q3
  Differential Revision:	https://reviews.freebsd.org/D13581

Changes:
  head/www/py-graphite-api/Makefile
  head/www/py-graphite-api/files/graphiteapi.in
Comment 5 Dave Cottlehuber freebsd_committer 2018-07-05 19:01:49 UTC
thanks for your contribution Horst & apologies for the delay it took to get committed.
Comment 6 commit-hook freebsd_committer 2018-07-05 19:04:04 UTC
A commit references this bug:

Author: dch
Date: Thu Jul  5 19:03:48 UTC 2018
New revision: 473981
URL: https://svnweb.freebsd.org/changeset/ports/473981

Log:
  MFH: r473979

  www/py-graphite-api: clean up rc.d script

  - fix ordering in rc.d script so that daemon doesn't hang on startup
  - teach rc.d to behave when installing with multiple python & gunicorn versions
  - clean up substitutions in SUB_LIST, pkg-list and *.in script
  - ensure working directories are re-created on startup if required

  PR:		 223264
  Submitted by:	Horst Kapfenberger <horst.kapfenberger@agoracon.at>
  Approved by:	jrm
  Differential Revision:	https://reviews.freebsd.org/D13581

  Approved by:	ports-secteam

Changes:
_U  branches/2018Q3/
  branches/2018Q3/www/py-graphite-api/Makefile
  branches/2018Q3/www/py-graphite-api/files/graphiteapi.in